<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2003 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

if (!is_array($_SERVER)) {
    $_SERVER = $GLOBALS['HTTP_SERVER_VARS'];
    atRunningSetVar("_SERVER", $_SERVER);
}

if (!is_array($_GET)) {
    $_GET = $GLOBALS['HTTP_GET_VARS'];
    atRunningSetVar("_GET", $_GET);
}

if (!function_exists("file_get_contents")) {
    function file_get_contents($filename)
    {
        if (is_file($filename)) {
            $result = "";
            $handle = @fopen($filename, "r");
	        if (!$handle) {
                return false;
            }
            while (!feof($handle)) {
                $result .= fread($handle, 4096);
            }
            return $result;
        }
        else {
            return false;
        }
    }
}

if (!function_exists("var_export")) {
    function var_export($var)
    {
        $result = "";

        switch (gettype($var)) {
            case "array":
            reset($var);
            $result = "array(\n";
            while (list($k, $v) = each($var)) {
                $result .= "  " . var_export($k)." => " . var_export($v).",\n";
            }
            $result .= ")";
            break;

            case "string":
            $result = "'$var'";
            break;

            case "boolean":
            $result = ($var) ? "true" : "false";
            break;

            default:
            $result = $var;
            break;
        }
        return $result;
    }
}

?>
